<?php

define('VIEWER_JS', 'https://viewer-cdn.cylindo.com/v1/index.mjs');
/**
 * Functions.php
 *
 * @package  Cylindo Curator
 * @author   Cylindo
 * @since    1.0.0
 */

if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly.
}

/**
 * functions.php
 * Add extra PHP snippets here...
 */


function  append_viewer_elements() {
	add_action('woocommerce_before_single_product_summary', 'prepare_cylindo_html_elements', 15);
}

function prepare_cylindo_html_elements() {
    // get access to global produt
    global $product;
    // if this is a variable product proceed to embeed html elements needed for the viewer creation.
    if ($product->is_type('variable')) {
        $productCode = $product->get_sku();
        // declare and define elements.
        $cylindoPreconnectAPI = '<link rel="preconnect" href="https://content.cylindo.com" />';
        $cylindoCuratorJS = '<script type="module" src="' . VIEWER_JS . '" async ></script>';
        $cylindoHTMLEl = '<div id="cylindo-viewer-container" data-product-code="' . $productCode . '"></div>';
        // Script for the bar
        $cylindoBarScript = '<script type="module" src="https://viewer-cdn.cylindo.com/v1/bar.mjs" async ></script>';
        // print html elements.
        echo $cylindoPreconnectAPI . $cylindoCuratorJS . $cylindoHTMLEl . $cylindoBarScript;
    }
}


// render function
append_viewer_elements();
