jQuery(document).ready(function ($) {
    // Declare and define variables
    var cylindoViewerElID = "#cylindo-viewer-container";
    var wooCommerceProductGalleryClass = ".woocommerce-product-gallery";
    var $cylindoViewerContainerEl = $(cylindoViewerElID);
    var $wooCommerceProductGalleryEl = $(wooCommerceProductGalleryClass);
    var viewerInstance = null;
    var productCode = String($cylindoViewerContainerEl.data("product-code"));
    var RemoteConfig ="k70knpok";
    var CustomerID = "4965";
  
  
  
    // Get first 2 images URLs from WooCommerce product gallery
    var imageUrls = [];
    $wooCommerceProductGalleryEl.find('.woocommerce-product-gallery__image a').each(function (index) {
      // Include only the second and third images (index 1 and 2, as index is zero-based)
      if (index === 1 || index === 2) {
        imageUrls.push($(this).attr('href'));
      }
    });
  
    // Append curator in DOM
    var customContentHtml = '';
    $.each(imageUrls, function(index, imageUrl) {
        customContentHtml += '<cylindo-custom-content slot="Picture(' + (index + 2) + ')" thumbnail-src="' + imageUrl + '"><img src="' + imageUrl + '"/></cylindo-custom-content>';
    });
  
    
    $cylindoViewerContainerEl.append(
        '<cylindo-viewer customer-id="'+CustomerID+'" remote-config="'+RemoteConfig+'" code="' +
        productCode +
        '" >' +
        '<cylindo-thumbnail-bar></cylindo-thumbnail-bar>' +
        customContentHtml +
        '</cylindo-viewer>'
    );
    
  
    var $cylindoViewerEl = $cylindoViewerContainerEl.children("cylindo-viewer");
  
    // If cylindo element exists in the DOM try to create the viewer.
    if ($cylindoViewerEl.length > 0) {
        showViewer();
  
        // Subscribe to configuration panel elements event listener to get the variation_id, when its value is changed validate if we can change the viewer features.
        $("input.variation_id").change(function () {
            var features = getFeatures();
            // if all features are set execute the setFeatures function.
            if (features) {
                $cylindoViewerEl[0].features = features;
            }
        });
    }
  
    // Callback function to be executed when the first frame is loaded.
    function showViewer() {
        // Show the Cylindo Curator
        $cylindoViewerContainerEl.css("display", "block");
        // And hide default gallery of Woocommerce.
        $wooCommerceProductGalleryEl.css("display", "none");
    }
  
    // function used to get the features.
    function getFeatures() {
        // Declare and define helper variables.
        var selectedFeatures = {};
        // if viewer instance exists and the variant is not empty. It covers cases where features are changed at runtime.
  
        $("form.variations_form select").each(function () {
            // If we've a value selected for the current input add it to the features map.
            if ($(this).val()) {
                selectedFeatures[$(this).attr("name").replace("attribute_pa_", "")] = $(this).val();
            }
        });
  
        return selectedFeatures;
    }
  });